<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\Complex\Complex</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___call" title="__call ::Returns the result of the function call or operation">
            <span class="description">Returns the result of the function call or operation</span><pre>__call</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::">
            <span class="description"></span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___toString" title="__toString ::">
            <span class="description"></span><pre>__toString</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_abs" title="abs ::">
            <span class="description"></span><pre>abs</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_acos" title="acos ::">
            <span class="description"></span><pre>acos</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_acosh" title="acosh ::">
            <span class="description"></span><pre>acosh</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_acot" title="acot ::">
            <span class="description"></span><pre>acot</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_acoth" title="acoth ::">
            <span class="description"></span><pre>acoth</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_acsc" title="acsc ::">
            <span class="description"></span><pre>acsc</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_acsch" title="acsch ::">
            <span class="description"></span><pre>acsch</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_add" title="add ::">
            <span class="description"></span><pre>add</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_argument" title="argument ::">
            <span class="description"></span><pre>argument</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_asec" title="asec ::">
            <span class="description"></span><pre>asec</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_asech" title="asech ::">
            <span class="description"></span><pre>asech</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_asin" title="asin ::">
            <span class="description"></span><pre>asin</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_asinh" title="asinh ::">
            <span class="description"></span><pre>asinh</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_atan" title="atan ::">
            <span class="description"></span><pre>atan</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_atanh" title="atanh ::">
            <span class="description"></span><pre>atanh</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_conjugate" title="conjugate ::">
            <span class="description"></span><pre>conjugate</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_cos" title="cos ::">
            <span class="description"></span><pre>cos</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_cosh" title="cosh ::">
            <span class="description"></span><pre>cosh</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_cot" title="cot ::">
            <span class="description"></span><pre>cot</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_coth" title="coth ::">
            <span class="description"></span><pre>coth</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_csc" title="csc ::">
            <span class="description"></span><pre>csc</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_csch" title="csch ::">
            <span class="description"></span><pre>csch</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_divideby" title="divideby ::">
            <span class="description"></span><pre>divideby</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_divideinto" title="divideinto ::">
            <span class="description"></span><pre>divideinto</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_exp" title="exp ::">
            <span class="description"></span><pre>exp</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_format" title="format ::">
            <span class="description"></span><pre>format</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getImaginary" title="getImaginary ::Gets the imaginary part of this complex number">
            <span class="description">Gets the imaginary part of this complex number</span><pre>getImaginary</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getReal" title="getReal ::Gets the real part of this complex number">
            <span class="description">Gets the real part of this complex number</span><pre>getReal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSuffix" title="getSuffix ::Gets the suffix of this complex number">
            <span class="description">Gets the suffix of this complex number</span><pre>getSuffix</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_inverse" title="inverse ::">
            <span class="description"></span><pre>inverse</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_invertImaginary" title="invertImaginary ::">
            <span class="description"></span><pre>invertImaginary</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_invertReal" title="invertReal ::">
            <span class="description"></span><pre>invertReal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isComplex" title="isComplex ::Returns true if this is a complex value, false if a real value">
            <span class="description">Returns true if this is a complex value, false if a real value</span><pre>isComplex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isReal" title="isReal ::Returns true if this is a real value, false if a complex value">
            <span class="description">Returns true if this is a real value, false if a complex value</span><pre>isReal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_ln" title="ln ::">
            <span class="description"></span><pre>ln</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_log10" title="log10 ::">
            <span class="description"></span><pre>log10</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_log2" title="log2 ::">
            <span class="description"></span><pre>log2</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_multiply" title="multiply ::">
            <span class="description"></span><pre>multiply</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_negative" title="negative ::">
            <span class="description"></span><pre>negative</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_pow" title="pow ::">
            <span class="description"></span><pre>pow</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_reverse" title="reverse ::Returns the reverse of this complex number">
            <span class="description">Returns the reverse of this complex number</span><pre>reverse</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_rho" title="rho ::">
            <span class="description"></span><pre>rho</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_sec" title="sec ::">
            <span class="description"></span><pre>sec</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_sech" title="sech ::">
            <span class="description"></span><pre>sech</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_sin" title="sin ::">
            <span class="description"></span><pre>sin</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_sinh" title="sinh ::">
            <span class="description"></span><pre>sinh</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_sqrt" title="sqrt ::">
            <span class="description"></span><pre>sqrt</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_subtract" title="subtract ::">
            <span class="description"></span><pre>subtract</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_tan" title="tan ::">
            <span class="description"></span><pre>tan</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_tanh" title="tanh ::">
            <span class="description"></span><pre>tanh</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_theta" title="theta ::">
            <span class="description"></span><pre>theta</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_validateComplexArgument" title="validateComplexArgument ::Validates whether the argument is a valid complex number, converting scalar or array values if possible">
            <span class="description">Validates whether the argument is a valid complex number, converting scalar or array values if possible</span><pre>validateComplexArgument</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_parseComplex" title="parseComplex ::Validates whether the argument is a valid complex number, converting scalar or array values if possible">
                                <span class="description">Validates whether the argument is a valid complex number, converting scalar or array values if possible</span><pre>parseComplex</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_EULER" title="EULER ::">
                        <span class="description"></span><pre>EULER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_NUMBER_SPLIT_REGEXP" title="NUMBER_SPLIT_REGEXP ::">
                        <span class="description"></span><pre>NUMBER_SPLIT_REGEXP</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Complex</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description">Complex Number object.</p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Complex</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___call"></a>
                        <div class="element clickable methodpublic method___call" data-toggle="collapse" data-target=".method___call .collapse">
                            <h2>Returns the result of the function call or operation</h2>
                            <pre>__call( $functionName, $arguments): \Complex\Complex|float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Complex\Exception|\InvalidArgumentException</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$functionName</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$arguments</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Complex.Complex.html">\Complex\Complex</a>|float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>__construct</h2>
                            <pre>__construct( $realPart = 0.0, $imaginaryPart = null, $suffix = &#039;i&#039;)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$realPart</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$imaginaryPart</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$suffix</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method___toString"></a>
                        <div class="element clickable methodpublic method___toString" data-toggle="collapse" data-target=".method___toString .collapse">
                            <h2>__toString</h2>
                            <pre>__toString()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_abs"></a>
                        <div class="element clickable methodpublic method_abs" data-toggle="collapse" data-target=".method_abs .collapse">
                            <h2>abs</h2>
                            <pre>abs(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_acos"></a>
                        <div class="element clickable methodpublic method_acos" data-toggle="collapse" data-target=".method_acos .collapse">
                            <h2>acos</h2>
                            <pre>acos(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_acosh"></a>
                        <div class="element clickable methodpublic method_acosh" data-toggle="collapse" data-target=".method_acosh .collapse">
                            <h2>acosh</h2>
                            <pre>acosh(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_acot"></a>
                        <div class="element clickable methodpublic method_acot" data-toggle="collapse" data-target=".method_acot .collapse">
                            <h2>acot</h2>
                            <pre>acot(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_acoth"></a>
                        <div class="element clickable methodpublic method_acoth" data-toggle="collapse" data-target=".method_acoth .collapse">
                            <h2>acoth</h2>
                            <pre>acoth(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_acsc"></a>
                        <div class="element clickable methodpublic method_acsc" data-toggle="collapse" data-target=".method_acsc .collapse">
                            <h2>acsc</h2>
                            <pre>acsc(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_acsch"></a>
                        <div class="element clickable methodpublic method_acsch" data-toggle="collapse" data-target=".method_acsch .collapse">
                            <h2>acsch</h2>
                            <pre>acsch(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_add"></a>
                        <div class="element clickable methodpublic method_add" data-toggle="collapse" data-target=".method_add .collapse">
                            <h2>add</h2>
                            <pre>add(mixed $...$complexValues): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$...$complexValues</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_argument"></a>
                        <div class="element clickable methodpublic method_argument" data-toggle="collapse" data-target=".method_argument .collapse">
                            <h2>argument</h2>
                            <pre>argument(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_asec"></a>
                        <div class="element clickable methodpublic method_asec" data-toggle="collapse" data-target=".method_asec .collapse">
                            <h2>asec</h2>
                            <pre>asec(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_asech"></a>
                        <div class="element clickable methodpublic method_asech" data-toggle="collapse" data-target=".method_asech .collapse">
                            <h2>asech</h2>
                            <pre>asech(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_asin"></a>
                        <div class="element clickable methodpublic method_asin" data-toggle="collapse" data-target=".method_asin .collapse">
                            <h2>asin</h2>
                            <pre>asin(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_asinh"></a>
                        <div class="element clickable methodpublic method_asinh" data-toggle="collapse" data-target=".method_asinh .collapse">
                            <h2>asinh</h2>
                            <pre>asinh(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_atan"></a>
                        <div class="element clickable methodpublic method_atan" data-toggle="collapse" data-target=".method_atan .collapse">
                            <h2>atan</h2>
                            <pre>atan(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_atanh"></a>
                        <div class="element clickable methodpublic method_atanh" data-toggle="collapse" data-target=".method_atanh .collapse">
                            <h2>atanh</h2>
                            <pre>atanh(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_conjugate"></a>
                        <div class="element clickable methodpublic method_conjugate" data-toggle="collapse" data-target=".method_conjugate .collapse">
                            <h2>conjugate</h2>
                            <pre>conjugate(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_cos"></a>
                        <div class="element clickable methodpublic method_cos" data-toggle="collapse" data-target=".method_cos .collapse">
                            <h2>cos</h2>
                            <pre>cos(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_cosh"></a>
                        <div class="element clickable methodpublic method_cosh" data-toggle="collapse" data-target=".method_cosh .collapse">
                            <h2>cosh</h2>
                            <pre>cosh(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_cot"></a>
                        <div class="element clickable methodpublic method_cot" data-toggle="collapse" data-target=".method_cot .collapse">
                            <h2>cot</h2>
                            <pre>cot(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_coth"></a>
                        <div class="element clickable methodpublic method_coth" data-toggle="collapse" data-target=".method_coth .collapse">
                            <h2>coth</h2>
                            <pre>coth(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_csc"></a>
                        <div class="element clickable methodpublic method_csc" data-toggle="collapse" data-target=".method_csc .collapse">
                            <h2>csc</h2>
                            <pre>csc(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_csch"></a>
                        <div class="element clickable methodpublic method_csch" data-toggle="collapse" data-target=".method_csch .collapse">
                            <h2>csch</h2>
                            <pre>csch(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_divideby"></a>
                        <div class="element clickable methodpublic method_divideby" data-toggle="collapse" data-target=".method_divideby .collapse">
                            <h2>divideby</h2>
                            <pre>divideby(mixed $...$complexValues): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$...$complexValues</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_divideinto"></a>
                        <div class="element clickable methodpublic method_divideinto" data-toggle="collapse" data-target=".method_divideinto .collapse">
                            <h2>divideinto</h2>
                            <pre>divideinto(mixed $...$complexValues): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$...$complexValues</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_exp"></a>
                        <div class="element clickable methodpublic method_exp" data-toggle="collapse" data-target=".method_exp .collapse">
                            <h2>exp</h2>
                            <pre>exp(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_format"></a>
                        <div class="element clickable methodpublic method_format" data-toggle="collapse" data-target=".method_format .collapse">
                            <h2>format</h2>
                            <pre>format()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getImaginary"></a>
                        <div class="element clickable methodpublic method_getImaginary" data-toggle="collapse" data-target=".method_getImaginary .collapse">
                            <h2>Gets the imaginary part of this complex number</h2>
                            <pre>getImaginary(): Float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>Float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReal"></a>
                        <div class="element clickable methodpublic method_getReal" data-toggle="collapse" data-target=".method_getReal .collapse">
                            <h2>Gets the real part of this complex number</h2>
                            <pre>getReal(): Float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>Float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSuffix"></a>
                        <div class="element clickable methodpublic method_getSuffix" data-toggle="collapse" data-target=".method_getSuffix .collapse">
                            <h2>Gets the suffix of this complex number</h2>
                            <pre>getSuffix(): String</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>String</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_inverse"></a>
                        <div class="element clickable methodpublic method_inverse" data-toggle="collapse" data-target=".method_inverse .collapse">
                            <h2>inverse</h2>
                            <pre>inverse(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_invertImaginary"></a>
                        <div class="element clickable methodpublic method_invertImaginary" data-toggle="collapse" data-target=".method_invertImaginary .collapse">
                            <h2>invertImaginary</h2>
                            <pre>invertImaginary()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_invertReal"></a>
                        <div class="element clickable methodpublic method_invertReal" data-toggle="collapse" data-target=".method_invertReal .collapse">
                            <h2>invertReal</h2>
                            <pre>invertReal()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_isComplex"></a>
                        <div class="element clickable methodpublic method_isComplex" data-toggle="collapse" data-target=".method_isComplex .collapse">
                            <h2>Returns true if this is a complex value, false if a real value</h2>
                            <pre>isComplex(): Bool</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>Bool</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isReal"></a>
                        <div class="element clickable methodpublic method_isReal" data-toggle="collapse" data-target=".method_isReal .collapse">
                            <h2>Returns true if this is a real value, false if a complex value</h2>
                            <pre>isReal(): Bool</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>Bool</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_ln"></a>
                        <div class="element clickable methodpublic method_ln" data-toggle="collapse" data-target=".method_ln .collapse">
                            <h2>ln</h2>
                            <pre>ln(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_log10"></a>
                        <div class="element clickable methodpublic method_log10" data-toggle="collapse" data-target=".method_log10 .collapse">
                            <h2>log10</h2>
                            <pre>log10(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_log2"></a>
                        <div class="element clickable methodpublic method_log2" data-toggle="collapse" data-target=".method_log2 .collapse">
                            <h2>log2</h2>
                            <pre>log2(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_multiply"></a>
                        <div class="element clickable methodpublic method_multiply" data-toggle="collapse" data-target=".method_multiply .collapse">
                            <h2>multiply</h2>
                            <pre>multiply(mixed $...$complexValues): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$...$complexValues</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_negative"></a>
                        <div class="element clickable methodpublic method_negative" data-toggle="collapse" data-target=".method_negative .collapse">
                            <h2>negative</h2>
                            <pre>negative(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_parseComplex"></a>
                        <div class="element clickable methodprivate method_parseComplex" data-toggle="collapse" data-target=".method_parseComplex .collapse">
                            <h2>Validates whether the argument is a valid complex number, converting scalar or array values if possible</h2>
                            <pre>parseComplex(mixed $complexNumber): array</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Complex\Exception</dt>
                                                        <dd><p>If the argument isn't a Complex number or cannot be converted to one</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$complexNumber</h4>
                                                <code>mixed</code><p><p>The value to parse</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_pow"></a>
                        <div class="element clickable methodpublic method_pow" data-toggle="collapse" data-target=".method_pow .collapse">
                            <h2>pow</h2>
                            <pre>pow(integer|float $power): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$power</h4>
                                                <code>integer|float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_reverse"></a>
                        <div class="element clickable methodpublic method_reverse" data-toggle="collapse" data-target=".method_reverse .collapse">
                            <h2>Returns the reverse of this complex number</h2>
                            <pre>reverse(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/Complex.Complex.html">\Complex\Complex</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_rho"></a>
                        <div class="element clickable methodpublic method_rho" data-toggle="collapse" data-target=".method_rho .collapse">
                            <h2>rho</h2>
                            <pre>rho(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_sec"></a>
                        <div class="element clickable methodpublic method_sec" data-toggle="collapse" data-target=".method_sec .collapse">
                            <h2>sec</h2>
                            <pre>sec(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_sech"></a>
                        <div class="element clickable methodpublic method_sech" data-toggle="collapse" data-target=".method_sech .collapse">
                            <h2>sech</h2>
                            <pre>sech(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_sin"></a>
                        <div class="element clickable methodpublic method_sin" data-toggle="collapse" data-target=".method_sin .collapse">
                            <h2>sin</h2>
                            <pre>sin(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_sinh"></a>
                        <div class="element clickable methodpublic method_sinh" data-toggle="collapse" data-target=".method_sinh .collapse">
                            <h2>sinh</h2>
                            <pre>sinh(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_sqrt"></a>
                        <div class="element clickable methodpublic method_sqrt" data-toggle="collapse" data-target=".method_sqrt .collapse">
                            <h2>sqrt</h2>
                            <pre>sqrt(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_subtract"></a>
                        <div class="element clickable methodpublic method_subtract" data-toggle="collapse" data-target=".method_subtract .collapse">
                            <h2>subtract</h2>
                            <pre>subtract(mixed $...$complexValues): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$...$complexValues</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_tan"></a>
                        <div class="element clickable methodpublic method_tan" data-toggle="collapse" data-target=".method_tan .collapse">
                            <h2>tan</h2>
                            <pre>tan(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_tanh"></a>
                        <div class="element clickable methodpublic method_tanh" data-toggle="collapse" data-target=".method_tanh .collapse">
                            <h2>tanh</h2>
                            <pre>tanh(): \Complex\Complex</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>\Complex\Complex</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_theta"></a>
                        <div class="element clickable methodpublic method_theta" data-toggle="collapse" data-target=".method_theta .collapse">
                            <h2>theta</h2>
                            <pre>theta(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_validateComplexArgument"></a>
                        <div class="element clickable methodpublic method_validateComplexArgument" data-toggle="collapse" data-target=".method_validateComplexArgument .collapse">
                            <h2>Validates whether the argument is a valid complex number, converting scalar or array values if possible</h2>
                            <pre>validateComplexArgument(mixed $complex): \Complex\Complex</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Complex\Exception</dt>
                                                        <dd><p>If the argument isn't a Complex number or cannot be converted to one</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$complex</h4>
                                                <code>mixed</code><p><p>The value to validate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Complex.Complex.html">\Complex\Complex</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_EULER"> </a>
                            <div class="element clickable constant constant_EULER" data-toggle="collapse" data-target=".constant_EULER .collapse">
                                <h2>EULER</h2>
                                <pre>EULER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>constant
                                                    </th>
                                                    <td><p>Euler's Number.</p>                                                    </td>
                                                </tr>                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_NUMBER_SPLIT_REGEXP"> </a>
                            <div class="element clickable constant constant_NUMBER_SPLIT_REGEXP" data-toggle="collapse" data-target=".constant_NUMBER_SPLIT_REGEXP .collapse">
                                <h2>NUMBER_SPLIT_REGEXP</h2>
                                <pre>NUMBER_SPLIT_REGEXP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>constant
                                                    </th>
                                                    <td><p>Regexp to split an input string into real and imaginary components and suffix</p>                                                    </td>
                                                </tr>                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_realPart"> </a>
                            <div class="element clickable propertyprotected property_realPart" data-toggle="collapse" data-target=".property_realPart .collapse">
                                <h2>The value of of this complex number on the real plane.</h2>
                                <pre>realPart :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>The value of of this complex number on the real plane.</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_imaginaryPart"> </a>
                            <div class="element clickable propertyprotected property_imaginaryPart" data-toggle="collapse" data-target=".property_imaginaryPart .collapse">
                                <h2>The value of of this complex number on the imaginary plane.</h2>
                                <pre>imaginaryPart :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>The value of of this complex number on the imaginary plane.</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_suffix"> </a>
                            <div class="element clickable propertyprotected property_suffix" data-toggle="collapse" data-target=".property_suffix .collapse">
                                <h2>The suffix for this complex number (i or j).</h2>
                                <pre>suffix :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>The suffix for this complex number (i or j).</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_functions"> </a>
                            <div class="element clickable propertyprotected property_functions" data-toggle="collapse" data-target=".property_functions .collapse">
                                <h2>functions</h2>
                                <pre>functions :</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_operations"> </a>
                            <div class="element clickable propertyprotected property_operations" data-toggle="collapse" data-target=".property_operations .collapse">
                                <h2>operations</h2>
                                <pre>operations :</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\Complex\Complex"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/Complex.html">Complex</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/Complex.Complex.html">Complex</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:45 +0000.<br/>
    </footer></body>
</html>
